<%= form_with(model: member) do |form| %>

  <div class="form-group">
    <%= form.label :ชื่อ, style: "display: block" %>
    <%= form.text_field :name, class: 'form-control' %>
    <% member.errors.full_messages_for(:name).each do |error_message| %>
      <div class="text-red">
        <%= error_message.sub("name","") %>
      </div>
    <% end %>

    <%= form.label :username, style: "display: block" %>
    <%= form.text_field :username, class: 'form-control' %>
    <% member.errors.full_messages_for(:username).each do |error_message| %>
      <div class="text-red">
        <%= error_message.sub("username","") %>
      </div>
    <% end %>

    <%= form.label :email, style: "display: block" %>
    <%= form.text_field :email, class: 'form-control' %>
    <% member.errors.full_messages_for(:email).each do |error_message| %>
      <div class="text-red">
        <%= error_message.sub("email","") %>
      </div>
    <% end %>

    <%= form.fields_for @user_datum do |datum| %>

    
      <%= datum.label 'สองตัว/บาทละ', style: "display: block" %>
      <%= datum.text_field :percent, class: 'form-control' %>
      <% member.errors.full_messages_for(:percent).each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("percent","") %>
        </div>
      <% end %>

      <%= datum.label 'สามตัวตรง/บาทละ', style: "display: block" %>
      <%= datum.text_field :three_percent, class: 'form-control' %>
      <% member.errors.full_messages_for(:three_percent).each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("three_percent","") %>
        </div>
      <% end %>

      <%= datum.label 'สามตัวโต๊ด/บาทละ', style: "display: block" %>
      <%= datum.text_field :three_reverse_percent, class: 'form-control' %>
      <% member.errors.full_messages_for(:three_reverse_percent).each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("three_reverse_percent","") %>
        </div>
      <% end %>

      <%= datum.label 'วิ่ง/บาทละ', style: "display: block" %>
      <%= datum.text_field :run_percent, class: 'form-control' %>
      <% member.errors.full_messages_for(:run_percent).each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("run_percent","") %>
        </div>
      <% end %>

      <%= datum.label :เปอร์เซ็น, style: "display: block" %>
      <%= datum.text_field :user_percent, class: 'form-control' %>
      <% member.errors.full_messages_for(:percent_user).each do |error_message| %>
        <div class="text-red">
          <%= error_message.sub("percent","") %>
        </div>
      <% end %>

    <% end %>

    <%= form.label :รหัสผ่าน, style: "display: block" %>
    <%= form.password_field :password, class: 'form-control' %>
    <% member.errors.full_messages_for(:password).each do |error_message| %>
      <div class="text-red">
        <%= error_message.sub("password","") %>
      </div>
    <% end %>

    <%= form.label :ยืนยันรหัสผ่าน, style: "display: block" %>
    <%= form.password_field :password_confirmation, class: 'form-control' %>
    <% member.errors.full_messages_for(:password_confirmation).each do |error_message| %>
      <div class="text-red">
        <%= error_message.sub("password_confirmation","") %>
      </div>
    <% end %>
  </div>



  <div>
    <%= form.submit 'บันทึก', class: 'btn btn-primary' %>
  </div>
<% end %>